<div class="char-balloon-container">
  <span class="balloon ft-opensans ft-16" [class.partial]="charStyle == 'partial'">
    <span [innerHTML]="text"></span>
    
    <button *ngIf="audioService.isActive" (click)="toggleAudio()">
        <span class="play" *ngIf="!audioService.playing"></span>
        <span class="stop" *ngIf="audioService.playing"></span>
    </button>
  </span>
</div>